View a markdown version of this page

GetMarketplaceResource - EC2 Image Builder

GetMarketplaceResource

Verifies the subscription and performs resource dependency checks on the requested AWS Marketplace resource. The caller must be entitled to the resource. For AWS Marketplace components, the response contains fields to download the components and their artifacts.

Request Syntax

POST /GetMarketplaceResource HTTP/1.1 Content-type: application/json { "resourceArn": "string", "resourceLocation": "string", "resourceType": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

resourceArn

The Amazon Resource Name (ARN) that uniquely identifies an AWS Marketplace resource.

Type: String

Pattern: ^arn:aws[^:]*:imagebuilder:[^:]+:(?:[0-9]{12}|aws(?:-[a-z-]+)?|third-party):(?:image-recipe|container-recipe|infrastructure-configuration|distribution-configuration|component|image|image-pipeline|lifecycle-policy|workflow\/(?:build|test|distribution))/[a-z0-9-_]+(?:/(?:(?:x|[0-9]+)\.(?:x|[0-9]+)\.(?:x|[0-9]+))(?:/[0-9]+)?)?$

Required: Yes

resourceLocation

The Amazon S3 location of the component artifact to retrieve, in s3://bucket/key form.

Type: String

Length Constraints: Maximum length of 1024.

Pattern: ^s3://[^/]+/.+[^/]$

Required: No

resourceType

Specifies which type of AWS Marketplace resource Image Builder retrieves.

Type: String

Valid Values: COMPONENT_DATA | COMPONENT_ARTIFACT

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "data": "string", "resourceArn": "string", "url": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

data

Returns obfuscated data that contains the YAML content of the component.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 1024.

resourceArn

The Amazon Resource Name (ARN) for the AWS Marketplace resource that was requested.

Type: String

Pattern: ^arn:aws[^:]*:imagebuilder:[^:]+:(?:[0-9]{12}|aws(?:-[a-z-]+)?|third-party):(?:image-recipe|container-recipe|infrastructure-configuration|distribution-configuration|component|image|image-pipeline|lifecycle-policy|workflow\/(?:build|test|distribution))/[a-z0-9-_]+(?:/(?:(?:x|[0-9]+)\.(?:x|[0-9]+)\.(?:x|[0-9]+))(?:/[0-9]+)?)?$

url

A time-limited presigned URL for downloading the component artifact from Amazon S3.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 1024.

Errors

For information about the errors that are common to all actions, see Common Error Types.

CallRateLimitExceededException

You have exceeded the permitted request rate for the Amazon EC2 APIs that Image Builder calls on your behalf. Retry with an increasing or variable delay between requests.

HTTP Status Code: 429

ClientException

A generic client error. This error usually indicates that the request failed a validation check, such as when a downstream service rejects a configured value.

HTTP Status Code: 400

ForbiddenException

You are not authorized to perform the requested operation.

HTTP Status Code: 403

InvalidRequestException

The request is malformed or otherwise invalid. Verify the request and try again.

HTTP Status Code: 400

ServiceException

An internal server error occurred while Image Builder processed the request. Retrying the request may succeed.

HTTP Status Code: 500

ServiceUnavailableException

The service is unable to process your request at this time.

HTTP Status Code: 503

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: